# Enum Class SyKeyCode

java.lang.Object
java.lang.Enum<SyKeyCode>
com.io7m.jsycamore.api.keyboard.SyKeyCode

All Implemented Interfaces:
  `Serializable, Comparable<SyKeyCode>, Constable`

public enum SyKeyCode extends Enum<SyKeyCode>
The set of keycodes understood by the UI.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `SY_KEY_0`
  Key: KEY_0
  `SY_KEY_1`
  Key: KEY_1
  `SY_KEY_2`
  Key: KEY_2
  `SY_KEY_3`
  Key: KEY_3
  `SY_KEY_4`
  Key: KEY_4
  `SY_KEY_5`
  Key: KEY_5
  `SY_KEY_6`
  Key: KEY_6
  `SY_KEY_7`
  Key: KEY_7
  `SY_KEY_8`
  Key: KEY_8
  `SY_KEY_9`
  Key: KEY_9
  `SY_KEY_A`
  Key: KEY_A
  `SY_KEY_APOSTROPHE`
  Key: KEY_APOSTROPHE
  `SY_KEY_B`
  Key: KEY_B
  `SY_KEY_BACKSLASH`
  Key: KEY_BACKSLASH
  `SY_KEY_BACKSPACE`
  Key: KEY_BACKSPACE
  `SY_KEY_C`
  Key: KEY_C
  `SY_KEY_CAPS_LOCK`
  Key: KEY_CAPS_LOCK
  `SY_KEY_COMMA`
  Key: KEY_COMMA
  `SY_KEY_D`
  Key: KEY_D
  `SY_KEY_DELETE`
  Key: KEY_DELETE
  `SY_KEY_DOWN`
  Key: KEY_DOWN
  `SY_KEY_E`
  Key: KEY_E
  `SY_KEY_END`
  Key: KEY_END
  `SY_KEY_ENTER`
  Key: KEY_ENTER
  `SY_KEY_EQUAL`
  Key: KEY_EQUAL
  `SY_KEY_ESCAPE`
  Key: KEY_ESCAPE
  `SY_KEY_F`
  Key: KEY_F
  `SY_KEY_F1`
  Key: KEY_F1
  `SY_KEY_F10`
  Key: KEY_F10
  `SY_KEY_F11`
  Key: KEY_F11
  `SY_KEY_F12`
  Key: KEY_F12
  `SY_KEY_F13`
  Key: KEY_F13
  `SY_KEY_F14`
  Key: KEY_F14
  `SY_KEY_F15`
  Key: KEY_F15
  `SY_KEY_F16`
  Key: KEY_F16
  `SY_KEY_F17`
  Key: KEY_F17
  `SY_KEY_F18`
  Key: KEY_F18
  `SY_KEY_F19`
  Key: KEY_F19
  `SY_KEY_F2`
  Key: KEY_F2
  `SY_KEY_F20`
  Key: KEY_F20
  `SY_KEY_F21`
  Key: KEY_F21
  `SY_KEY_F22`
  Key: KEY_F22
  `SY_KEY_F23`
  Key: KEY_F23
  `SY_KEY_F24`
  Key: KEY_F24
  `SY_KEY_F25`
  Key: KEY_F25
  `SY_KEY_F3`
  Key: KEY_F3
  `SY_KEY_F4`
  Key: KEY_F4
  `SY_KEY_F5`
  Key: KEY_F5
  `SY_KEY_F6`
  Key: KEY_F6
  `SY_KEY_F7`
  Key: KEY_F7
  `SY_KEY_F8`
  Key: KEY_F8
  `SY_KEY_F9`
  Key: KEY_F9
  `SY_KEY_G`
  Key: KEY_G
  `SY_KEY_GRAVE_ACCENT`
  Key: KEY_GRAVE_ACCENT
  `SY_KEY_H`
  Key: KEY_H
  `SY_KEY_HOME`
  Key: KEY_HOME
  `SY_KEY_I`
  Key: KEY_I
  `SY_KEY_INSERT`
  Key: KEY_INSERT
  `SY_KEY_J`
  Key: KEY_J
  `SY_KEY_K`
  Key: KEY_K
  `SY_KEY_KP_0`
  Key: KEY_KP_0
  `SY_KEY_KP_1`
  Key: KEY_KP_1
  `SY_KEY_KP_2`
  Key: KEY_KP_2
  `SY_KEY_KP_3`
  Key: KEY_KP_3
  `SY_KEY_KP_4`
  Key: KEY_KP_4
  `SY_KEY_KP_5`
  Key: KEY_KP_5
  `SY_KEY_KP_6`
  Key: KEY_KP_6
  `SY_KEY_KP_7`
  Key: KEY_KP_7
  `SY_KEY_KP_8`
  Key: KEY_KP_8
  `SY_KEY_KP_9`
  Key: KEY_KP_9
  `SY_KEY_KP_ADD`
  Key: KEY_KP_ADD
  `SY_KEY_KP_DECIMAL`
  Key: KEY_KP_DECIMAL
  `SY_KEY_KP_DIVIDE`
  Key: KEY_KP_DIVIDE
  `SY_KEY_KP_ENTER`
  Key: KEY_KP_ENTER
  `SY_KEY_KP_EQUAL`
  Key: KEY_KP_EQUAL
  `SY_KEY_KP_MULTIPLY`
  Key: KEY_KP_MULTIPLY
  `SY_KEY_KP_SUBTRACT`
  Key: KEY_KP_SUBTRACT
  `SY_KEY_L`
  Key: KEY_L
  `SY_KEY_LEFT`
  Key: KEY_LEFT
  `SY_KEY_LEFT_ALT`
  Key: KEY_LEFT_ALT
  `SY_KEY_LEFT_BRACKET`
  Key: KEY_LEFT_BRACKET
  `SY_KEY_LEFT_CONTROL`
  Key: KEY_LEFT_CONTROL
  `SY_KEY_LEFT_SHIFT`
  Key: KEY_LEFT_SHIFT
  `SY_KEY_LEFT_SUPER`
  Key: KEY_LEFT_SUPER
  `SY_KEY_M`
  Key: KEY_M
  `SY_KEY_MENU`
  Key: KEY_MENU
  `SY_KEY_MINUS`
  Key: KEY_MINUS
  `SY_KEY_N`
  Key: KEY_N
  `SY_KEY_NUM_LOCK`
  Key: KEY_NUM_LOCK
  `SY_KEY_O`
  Key: KEY_O
  `SY_KEY_P`
  Key: KEY_P
  `SY_KEY_PAGE_DOWN`
  Key: KEY_PAGE_DOWN
  `SY_KEY_PAGE_UP`
  Key: KEY_PAGE_UP
  `SY_KEY_PAUSE`
  Key: KEY_PAUSE
  `SY_KEY_PERIOD`
  Key: KEY_PERIOD
  `SY_KEY_PRINT_SCREEN`
  Key: KEY_PRINT_SCREEN
  `SY_KEY_Q`
  Key: KEY_Q
  `SY_KEY_R`
  Key: KEY_R
  `SY_KEY_RIGHT`
  Key: KEY_RIGHT
  `SY_KEY_RIGHT_ALT`
  Key: KEY_RIGHT_ALT
  `SY_KEY_RIGHT_BRACKET`
  Key: KEY_RIGHT_BRACKET
  `SY_KEY_RIGHT_CONTROL`
  Key: KEY_RIGHT_CONTROL
  `SY_KEY_RIGHT_SHIFT`
  Key: KEY_RIGHT_SHIFT
  `SY_KEY_RIGHT_SUPER`
  Key: KEY_RIGHT_SUPER
  `SY_KEY_S`
  Key: KEY_S
  `SY_KEY_SCROLL_LOCK`
  Key: KEY_SCROLL_LOCK
  `SY_KEY_SEMICOLON`
  Key: KEY_SEMICOLON
  `SY_KEY_SLASH`
  Key: KEY_SLASH
  `SY_KEY_SPACE`
  Key: KEY_SPACE
  `SY_KEY_T`
  Key: KEY_T
  `SY_KEY_TAB`
  Key: KEY_TAB
  `SY_KEY_U`
  Key: KEY_U
  `SY_KEY_UNKNOWN`
  Key: KEY_UNKNOWN
  `SY_KEY_UP`
  Key: KEY_UP
  `SY_KEY_V`
  Key: KEY_V
  `SY_KEY_W`
  Key: KEY_W
  `SY_KEY_X`
  Key: KEY_X
  `SY_KEY_Y`
  Key: KEY_Y
  `SY_KEY_Z`
  Key: KEY_Z

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `keyCode()`
  `static SyKeyCode`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static SyKeyCode[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SY_KEY_0

    public static final SyKeyCode SY_KEY_0
    Key: KEY_0

  - ### SY_KEY_1

    public static final SyKeyCode SY_KEY_1
    Key: KEY_1

  - ### SY_KEY_2

    public static final SyKeyCode SY_KEY_2
    Key: KEY_2

  - ### SY_KEY_3

    public static final SyKeyCode SY_KEY_3
    Key: KEY_3

  - ### SY_KEY_4

    public static final SyKeyCode SY_KEY_4
    Key: KEY_4

  - ### SY_KEY_5

    public static final SyKeyCode SY_KEY_5
    Key: KEY_5

  - ### SY_KEY_6

    public static final SyKeyCode SY_KEY_6
    Key: KEY_6

  - ### SY_KEY_7

    public static final SyKeyCode SY_KEY_7
    Key: KEY_7

  - ### SY_KEY_8

    public static final SyKeyCode SY_KEY_8
    Key: KEY_8

  - ### SY_KEY_9

    public static final SyKeyCode SY_KEY_9
    Key: KEY_9

  - ### SY_KEY_A

    public static final SyKeyCode SY_KEY_A
    Key: KEY_A

  - ### SY_KEY_APOSTROPHE

    public static final SyKeyCode SY_KEY_APOSTROPHE
    Key: KEY_APOSTROPHE

  - ### SY_KEY_B

    public static final SyKeyCode SY_KEY_B
    Key: KEY_B

  - ### SY_KEY_BACKSLASH

    public static final SyKeyCode SY_KEY_BACKSLASH
    Key: KEY_BACKSLASH

  - ### SY_KEY_BACKSPACE

    public static final SyKeyCode SY_KEY_BACKSPACE
    Key: KEY_BACKSPACE

  - ### SY_KEY_C

    public static final SyKeyCode SY_KEY_C
    Key: KEY_C

  - ### SY_KEY_CAPS_LOCK

    public static final SyKeyCode SY_KEY_CAPS_LOCK
    Key: KEY_CAPS_LOCK

  - ### SY_KEY_COMMA

    public static final SyKeyCode SY_KEY_COMMA
    Key: KEY_COMMA

  - ### SY_KEY_D

    public static final SyKeyCode SY_KEY_D
    Key: KEY_D

  - ### SY_KEY_DELETE

    public static final SyKeyCode SY_KEY_DELETE
    Key: KEY_DELETE

  - ### SY_KEY_DOWN

    public static final SyKeyCode SY_KEY_DOWN
    Key: KEY_DOWN

  - ### SY_KEY_E

    public static final SyKeyCode SY_KEY_E
    Key: KEY_E

  - ### SY_KEY_END

    public static final SyKeyCode SY_KEY_END
    Key: KEY_END

  - ### SY_KEY_ENTER

    public static final SyKeyCode SY_KEY_ENTER
    Key: KEY_ENTER

  - ### SY_KEY_EQUAL

    public static final SyKeyCode SY_KEY_EQUAL
    Key: KEY_EQUAL

  - ### SY_KEY_ESCAPE

    public static final SyKeyCode SY_KEY_ESCAPE
    Key: KEY_ESCAPE

  - ### SY_KEY_F

    public static final SyKeyCode SY_KEY_F
    Key: KEY_F

  - ### SY_KEY_F1

    public static final SyKeyCode SY_KEY_F1
    Key: KEY_F1

  - ### SY_KEY_F10

    public static final SyKeyCode SY_KEY_F10
    Key: KEY_F10

  - ### SY_KEY_F11

    public static final SyKeyCode SY_KEY_F11
    Key: KEY_F11

  - ### SY_KEY_F12

    public static final SyKeyCode SY_KEY_F12
    Key: KEY_F12

  - ### SY_KEY_F13

    public static final SyKeyCode SY_KEY_F13
    Key: KEY_F13

  - ### SY_KEY_F14

    public static final SyKeyCode SY_KEY_F14
    Key: KEY_F14

  - ### SY_KEY_F15

    public static final SyKeyCode SY_KEY_F15
    Key: KEY_F15

  - ### SY_KEY_F16

    public static final SyKeyCode SY_KEY_F16
    Key: KEY_F16

  - ### SY_KEY_F17

    public static final SyKeyCode SY_KEY_F17
    Key: KEY_F17

  - ### SY_KEY_F18

    public static final SyKeyCode SY_KEY_F18
    Key: KEY_F18

  - ### SY_KEY_F19

    public static final SyKeyCode SY_KEY_F19
    Key: KEY_F19

  - ### SY_KEY_F2

    public static final SyKeyCode SY_KEY_F2
    Key: KEY_F2

  - ### SY_KEY_F20

    public static final SyKeyCode SY_KEY_F20
    Key: KEY_F20

  - ### SY_KEY_F21

    public static final SyKeyCode SY_KEY_F21
    Key: KEY_F21

  - ### SY_KEY_F22

    public static final SyKeyCode SY_KEY_F22
    Key: KEY_F22

  - ### SY_KEY_F23

    public static final SyKeyCode SY_KEY_F23
    Key: KEY_F23

  - ### SY_KEY_F24

    public static final SyKeyCode SY_KEY_F24
    Key: KEY_F24

  - ### SY_KEY_F25

    public static final SyKeyCode SY_KEY_F25
    Key: KEY_F25

  - ### SY_KEY_F3

    public static final SyKeyCode SY_KEY_F3
    Key: KEY_F3

  - ### SY_KEY_F4

    public static final SyKeyCode SY_KEY_F4
    Key: KEY_F4

  - ### SY_KEY_F5

    public static final SyKeyCode SY_KEY_F5
    Key: KEY_F5

  - ### SY_KEY_F6

    public static final SyKeyCode SY_KEY_F6
    Key: KEY_F6

  - ### SY_KEY_F7

    public static final SyKeyCode SY_KEY_F7
    Key: KEY_F7

  - ### SY_KEY_F8

    public static final SyKeyCode SY_KEY_F8
    Key: KEY_F8

  - ### SY_KEY_F9

    public static final SyKeyCode SY_KEY_F9
    Key: KEY_F9

  - ### SY_KEY_G

    public static final SyKeyCode SY_KEY_G
    Key: KEY_G

  - ### SY_KEY_GRAVE_ACCENT

    public static final SyKeyCode SY_KEY_GRAVE_ACCENT
    Key: KEY_GRAVE_ACCENT

  - ### SY_KEY_H

    public static final SyKeyCode SY_KEY_H
    Key: KEY_H

  - ### SY_KEY_HOME

    public static final SyKeyCode SY_KEY_HOME
    Key: KEY_HOME

  - ### SY_KEY_I

    public static final SyKeyCode SY_KEY_I
    Key: KEY_I

  - ### SY_KEY_INSERT

    public static final SyKeyCode SY_KEY_INSERT
    Key: KEY_INSERT

  - ### SY_KEY_J

    public static final SyKeyCode SY_KEY_J
    Key: KEY_J

  - ### SY_KEY_K

    public static final SyKeyCode SY_KEY_K
    Key: KEY_K

  - ### SY_KEY_KP_0

    public static final SyKeyCode SY_KEY_KP_0
    Key: KEY_KP_0

  - ### SY_KEY_KP_1

    public static final SyKeyCode SY_KEY_KP_1
    Key: KEY_KP_1

  - ### SY_KEY_KP_2

    public static final SyKeyCode SY_KEY_KP_2
    Key: KEY_KP_2

  - ### SY_KEY_KP_3

    public static final SyKeyCode SY_KEY_KP_3
    Key: KEY_KP_3

  - ### SY_KEY_KP_4

    public static final SyKeyCode SY_KEY_KP_4
    Key: KEY_KP_4

  - ### SY_KEY_KP_5

    public static final SyKeyCode SY_KEY_KP_5
    Key: KEY_KP_5

  - ### SY_KEY_KP_6

    public static final SyKeyCode SY_KEY_KP_6
    Key: KEY_KP_6

  - ### SY_KEY_KP_7

    public static final SyKeyCode SY_KEY_KP_7
    Key: KEY_KP_7

  - ### SY_KEY_KP_8

    public static final SyKeyCode SY_KEY_KP_8
    Key: KEY_KP_8

  - ### SY_KEY_KP_9

    public static final SyKeyCode SY_KEY_KP_9
    Key: KEY_KP_9

  - ### SY_KEY_KP_ADD

    public static final SyKeyCode SY_KEY_KP_ADD
    Key: KEY_KP_ADD

  - ### SY_KEY_KP_DECIMAL

    public static final SyKeyCode SY_KEY_KP_DECIMAL
    Key: KEY_KP_DECIMAL

  - ### SY_KEY_KP_DIVIDE

    public static final SyKeyCode SY_KEY_KP_DIVIDE
    Key: KEY_KP_DIVIDE

  - ### SY_KEY_KP_ENTER

    public static final SyKeyCode SY_KEY_KP_ENTER
    Key: KEY_KP_ENTER

  - ### SY_KEY_KP_EQUAL

    public static final SyKeyCode SY_KEY_KP_EQUAL
    Key: KEY_KP_EQUAL

  - ### SY_KEY_KP_MULTIPLY

    public static final SyKeyCode SY_KEY_KP_MULTIPLY
    Key: KEY_KP_MULTIPLY

  - ### SY_KEY_KP_SUBTRACT

    public static final SyKeyCode SY_KEY_KP_SUBTRACT
    Key: KEY_KP_SUBTRACT

  - ### SY_KEY_L

    public static final SyKeyCode SY_KEY_L
    Key: KEY_L

  - ### SY_KEY_LEFT

    public static final SyKeyCode SY_KEY_LEFT
    Key: KEY_LEFT

  - ### SY_KEY_LEFT_ALT

    public static final SyKeyCode SY_KEY_LEFT_ALT
    Key: KEY_LEFT_ALT

  - ### SY_KEY_LEFT_BRACKET

    public static final SyKeyCode SY_KEY_LEFT_BRACKET
    Key: KEY_LEFT_BRACKET

  - ### SY_KEY_LEFT_CONTROL

    public static final SyKeyCode SY_KEY_LEFT_CONTROL
    Key: KEY_LEFT_CONTROL

  - ### SY_KEY_LEFT_SHIFT

    public static final SyKeyCode SY_KEY_LEFT_SHIFT
    Key: KEY_LEFT_SHIFT

  - ### SY_KEY_LEFT_SUPER

    public static final SyKeyCode SY_KEY_LEFT_SUPER
    Key: KEY_LEFT_SUPER

  - ### SY_KEY_M

    public static final SyKeyCode SY_KEY_M
    Key: KEY_M

  - ### SY_KEY_MENU

    public static final SyKeyCode SY_KEY_MENU
    Key: KEY_MENU

  - ### SY_KEY_MINUS

    public static final SyKeyCode SY_KEY_MINUS
    Key: KEY_MINUS

  - ### SY_KEY_N

    public static final SyKeyCode SY_KEY_N
    Key: KEY_N

  - ### SY_KEY_NUM_LOCK

    public static final SyKeyCode SY_KEY_NUM_LOCK
    Key: KEY_NUM_LOCK

  - ### SY_KEY_O

    public static final SyKeyCode SY_KEY_O
    Key: KEY_O

  - ### SY_KEY_P

    public static final SyKeyCode SY_KEY_P
    Key: KEY_P

  - ### SY_KEY_PAGE_DOWN

    public static final SyKeyCode SY_KEY_PAGE_DOWN
    Key: KEY_PAGE_DOWN

  - ### SY_KEY_PAGE_UP

    public static final SyKeyCode SY_KEY_PAGE_UP
    Key: KEY_PAGE_UP

  - ### SY_KEY_PAUSE

    public static final SyKeyCode SY_KEY_PAUSE
    Key: KEY_PAUSE

  - ### SY_KEY_PERIOD

    public static final SyKeyCode SY_KEY_PERIOD
    Key: KEY_PERIOD

  - ### SY_KEY_PRINT_SCREEN

    public static final SyKeyCode SY_KEY_PRINT_SCREEN
    Key: KEY_PRINT_SCREEN

  - ### SY_KEY_Q

    public static final SyKeyCode SY_KEY_Q
    Key: KEY_Q

  - ### SY_KEY_R

    public static final SyKeyCode SY_KEY_R
    Key: KEY_R

  - ### SY_KEY_RIGHT

    public static final SyKeyCode SY_KEY_RIGHT
    Key: KEY_RIGHT

  - ### SY_KEY_RIGHT_ALT

    public static final SyKeyCode SY_KEY_RIGHT_ALT
    Key: KEY_RIGHT_ALT

  - ### SY_KEY_RIGHT_BRACKET

    public static final SyKeyCode SY_KEY_RIGHT_BRACKET
    Key: KEY_RIGHT_BRACKET

  - ### SY_KEY_RIGHT_CONTROL

    public static final SyKeyCode SY_KEY_RIGHT_CONTROL
    Key: KEY_RIGHT_CONTROL

  - ### SY_KEY_RIGHT_SHIFT

    public static final SyKeyCode SY_KEY_RIGHT_SHIFT
    Key: KEY_RIGHT_SHIFT

  - ### SY_KEY_RIGHT_SUPER

    public static final SyKeyCode SY_KEY_RIGHT_SUPER
    Key: KEY_RIGHT_SUPER

  - ### SY_KEY_S

    public static final SyKeyCode SY_KEY_S
    Key: KEY_S

  - ### SY_KEY_SCROLL_LOCK

    public static final SyKeyCode SY_KEY_SCROLL_LOCK
    Key: KEY_SCROLL_LOCK

  - ### SY_KEY_SEMICOLON

    public static final SyKeyCode SY_KEY_SEMICOLON
    Key: KEY_SEMICOLON

  - ### SY_KEY_SLASH

    public static final SyKeyCode SY_KEY_SLASH
    Key: KEY_SLASH

  - ### SY_KEY_SPACE

    public static final SyKeyCode SY_KEY_SPACE
    Key: KEY_SPACE

  - ### SY_KEY_T

    public static final SyKeyCode SY_KEY_T
    Key: KEY_T

  - ### SY_KEY_TAB

    public static final SyKeyCode SY_KEY_TAB
    Key: KEY_TAB

  - ### SY_KEY_U

    public static final SyKeyCode SY_KEY_U
    Key: KEY_U

  - ### SY_KEY_UNKNOWN

    public static final SyKeyCode SY_KEY_UNKNOWN
    Key: KEY_UNKNOWN

  - ### SY_KEY_UP

    public static final SyKeyCode SY_KEY_UP
    Key: KEY_UP

  - ### SY_KEY_V

    public static final SyKeyCode SY_KEY_V
    Key: KEY_V

  - ### SY_KEY_W

    public static final SyKeyCode SY_KEY_W
    Key: KEY_W

  - ### SY_KEY_X

    public static final SyKeyCode SY_KEY_X
    Key: KEY_X

  - ### SY_KEY_Y

    public static final SyKeyCode SY_KEY_Y
    Key: KEY_Y

  - ### SY_KEY_Z

    public static final SyKeyCode SY_KEY_Z
    Key: KEY_Z

- ## Method Details

  - ### values

    public static SyKeyCode[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SyKeyCode valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### keyCode

    public int keyCode()
    Returns:
      The keycode.